Bug 626289 - Getting Deprecation Warning after upgrade of Fedora Version
Getting Deprecation Warning after upgrade of Fedora Version
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-23 01:53 EDT by Eli Wapniarski
Modified: 2010-09-04 01:16 EDT (History)
3 users (show)

See Also:
Fixed In Version: system-config-network-1.6.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-02 16:44:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eli Wapniarski 2010-08-23 01:53:50 EDT
Hi

I just upgraded a Fedora 11 machine directly to Fedora 13. Everything seems to work just fine. However, when I am in a terminal and run Setup -> Network I get the following on the screen.

/usr/share/system-config-network/netconfpkg/NCHostsList.py:100: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6                                          
                                                                                                                                                badlines.append((num, value_exception.message))                                                                                                                                                                                 
       /usr/share/system-config-network/netconfpkg/NCHostsList.py:105: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6                                   
                                                                                                                                                       """ % (value_exception.message, num)                                                                                                                                                                                     
   /usr/share/system-config-network/netconfpkg/NCProfileList.py:142: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6                                     
                                                                                                                                                     self.error = e.message 


Thanks for looking into this
Comment 1 Jiri Popelka 2010-08-23 07:17:24 EDT
Those warnings are now fixed upstream.
http://git.fedorahosted.org/git/?p=system-config-network.git;a=commitdiff;h=5b703976dddeed871b84c6375f16674b585b65fc

It seems that there's something wrong with your /etc/hosts.
If you want me to look at it attach your /etc/hosts to this bug report.
Comment 2 Fedora Update System 2010-08-23 09:47:15 EDT
system-config-network-1.6.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/system-config-network-1.6.1-1.fc13
Comment 3 Fedora Update System 2010-08-23 09:50:34 EDT
system-config-network-1.6.1-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/system-config-network-1.6.1-1.fc14
Comment 4 Eli Wapniarski 2010-08-23 09:54:12 EDT
Thanks for the heads up on the hosts file.

I fixed it and all is well.

Eli
Comment 5 Fedora Update System 2010-08-23 15:02:38 EDT
system-config-network-1.6.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-network'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-network-1.6.1-1.fc14
Comment 6 Fedora Update System 2010-09-02 16:43:56 EDT
system-config-network-1.6.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-09-04 01:16:16 EDT
system-config-network-1.6.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.